Subject: Re: WebEx Recordings

From: Alexa Morris <[email-masked]>
Date: Mon, 26 Aug 2019 21:35:38 -0700

Working Group Chairs,

First, I apologize for taking so long to respond to this thread; we were looking into various options and I wanted to make sure that I circled back with a workable way forward.

It's clear that most chairs want their interim working group session recordings to be publicly available, and the Secretariat is happy to help. Also, as a reminder, this conversation started because we had once again run out of storage at ietf.webex.com, and we were in the process of migrating old recordings to an external drive for storage. 

Moving forward, this is how we plan to address both issues (i.e., the storage issue, and the current lack of public availability of the interim meeting recordings).

1. The Secretariat will publish all WebEx-recorded interim working group meetings to the IETF YouTube channel, as soon as the chair notifies us that the recording is available and ready for posting. How this will work:

- At the conclusion of an interim wg meeting, the chair should send a ticket to [email-masked] to notify the Secretariat that the recording is ready for posting
- The ticket should contain the name of the recording in WebEx, and the date the recording was made.
- The Secretariat can log into WebEx and claim that recording, download it, and post to the IETF YouTube channel
- Each wg will have it's own playlist within the IETF YouTube channel
- The Secretariat will then delete the recording from the IETF's WebEx account to preserve storage space

The Secretariat is also happy to publish recordings made using other platforms (e.g., Meet, Zoom) provided the recording can be sent to us in a YouTube-friendly format. 

You may be wondering why we are requiring an email from the chair before we post the recordings. We don’t yet have a sense of how much time this is going to take our staff, and initially we are striving to make it as straightforward and error-proof as possible. Interim working group recordings do not follow a specific naming convention on WebEx, and we don’t want to inadvertently post private sessions to the public YouTube channel. As we get more experience with this, we will likely be able to streamline the process further and eliminate the requirement for chairs to formally request the interim meeting recording be posted. 

2. Once or twice a year, the Secretariat will take a more proactive approach to clearing out old recordings from ietf.webex.com, in order to avoid running out of storage space. How this will work:

- We will send an email to the wg chairs to notify everyone that on [date] we will be deleting all recordings that are over a year old
- If wg chairs want their recording posted, they will send an email to [email-masked] by [date] with recording name and date
- The Secretariat will publish these recordings to the YouTube channel, and appropriate playlist
- If chairs want to save the recording to their own computer (but not make it publicly available) they can download and save by [date]
- On [date] we will delete all recordings over a year old from the ietf.webex.com account

Please let us know if you have any questions or concerns about the above. Otherwise, we can start posting your recordings to YouTube whenever you are ready.

Regards,
Alexa

> On Jul 14, 2019, at 10:34 PM, Carsten Bormann <[email-masked]> wrote:
> 
> On Jul 13, 2019, at 16:34, Michael Richardson <[email-masked]> wrote:
>> 
>> I thougth we made the recordings to help chairs make the minutes.
> 
> That puts a lot of faith into the minute-making capacity of the chairs.
> 
> From the f2f meetings, I have more than once looked up a finer point in the video that didn’t quite make it into the minutes.
> 
> This is why it is useful to have those recordings available.
> 
>> I'm concerned that if the recordings are kept longer than 2 months, that the
>> minutes won’t happen.  
> 
> I think these variables are mostly independent.
> 
>> I don't know why two months isn't long enough to
>> do the minutes.  I don't think that minutes that are more than two months old
>> are terribly valuable.
> 
> See above.
> 
>> I think that these recordings are a lot of stuff to archive, sort, index, and
>> provide access to, and I don’t think that they ever get watched.
> 
> It’s one more file that needs to be managed per meeting, so I don’t think the effort is herculean.
> 
>> It seems like a hoarding behaviour to keep them indefinitely when we have no
>> reasonable plan to make them available.
> 
> This much is true.
> 
>> As we move towards doing more virtual interim meetings and fewer in-person
>> meetings, then moving the recordings to youtube would make sense.
> 
> Getting some form of feature parity here is desirable.
> 
> (The recording feature is pretty much the only redeeming feature of WebEx; I’d rather use something WebRTC-based except for that.)
> 
> Grüße, Carsten
>